<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>

<f:view>

	<h:form>

		<t:div style="text-align: left;width: 100%;">
			<h:panelGrid columns="2">

				<h:outputText value="PATH:" styleClass="portlet-form-field" />
				<h:outputText id="path" value="#{editor_displayFileDetailPage.path}"
					styleClass="portlet-form-field" />

			</h:panelGrid>
		</t:div>

		<h:messages styleClass="portlet-msg-success"
			errorClass="portlet-msg-error" fatalClass="portlet-msg-error"
			warnClass="portlet-msg-alert" infoClass="portlet-msg-info" />

		<t:div style="text-align: left;width: 100%;">
			<h:panelGrid columns="3">

				<h:outputLabel for="name">
					<h:outputText value="Name:" styleClass="portlet-form-field" />
				</h:outputLabel>
				<h:inputText id="name" value="#{editor_displayFileDetailPage.name}"
					styleClass="portlet-form-field-label" size="30" required="true" />
				<h:message for="name" />

				<f:facet name="footer">
					<h:panelGrid columns="1">
						<h:panelGrid columns="2">
							<h:commandButton type="submit" value="Update File Name"
								action="#{editor_displayFileDetailPage.update}"
								styleClass="portlet-form-button" />
							<h:commandButton type="submit" value="Delete"
								action="#{editor_displayFileDetailPage.delete}"
								styleClass="portlet-form-button"
								onclick="if(!confirm('Do you want to delete this file/directory?')) return false;" />
						</h:panelGrid>
						<h:panelGrid columns="3">
							<h:commandButton type="submit" value="Edit As Text"
								action="#{editor_displayFileDetailPage.updateTextContent}"
								rendered="#{editor_displayFileDetailPage.textFile}"
								styleClass="portlet-form-button" />
							<h:commandButton type="submit" value="Edit As Html"
								action="#{editor_displayFileDetailPage.updateHtmlContent}"
								rendered="#{editor_displayFileDetailPage.htmlFile}"
								styleClass="portlet-form-button" />
							<h:commandButton type="submit" value="Upload File"
								action="#{editor_displayFileDetailPage.uploadContent}"
								styleClass="portlet-form-button" />
						</h:panelGrid>
						<h:panelGrid columns="1" rendered="#{editor_displayFileDetailPage.textFile}">
							<h:commandButton type="submit" value="Set As Default Page"
								action="#{editor_displayFileDetailPage.setAsDefaultPage}"
								rendered="#{editor_displayFileDetailPage.textFile}"
								styleClass="portlet-form-button" immediate="true" />
						</h:panelGrid>
						<h:panelGrid columns="1">
							<h:commandButton type="submit" value="Back to List page"
								action="#{editor_displayFileDetailPage.backToList}"
								styleClass="portlet-form-button" immediate="true" />
						</h:panelGrid>
					</h:panelGrid>
				</f:facet>

			</h:panelGrid>
		</t:div>

	</h:form>
</f:view>
